%define module_name	madwifi
%define module_version	0.9.4.12
%define module_release	alt1.1

%define kversion	2.4.29
%define krelease	alt1
%define flavour		wks-smp

%define norm_version	%kversion

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary: Modules for Atheros-based WiFi .11a/b/g adapters
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release
License: Dual: GPL or BSD
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
Url: http://www.kernel.org/
BuildRequires: perl sharutils
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-source-%module_name-%module_version
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: modutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86

%description
This software contains a Linux kernel driver for Atheros-based
Wireless LAN devices.  The driver supports both station and AP modes
of operation.  The driver is actually a port of the BSD Atheros
driver and includes a port of the 802.11 link layer code originally
found in NetBSD.

A full list of product solutions utilizing Atheros chips can be found
at http://www.atheros.com/partners/solutions.html

%prep
rm -rf kernel-source-%module_name-%module_version

tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
make CC=gcc-$GCC_VERSION \
     KERNELRELEASE=%kversion-%flavour-%krelease \
     KERNELPATH=%_usrsrc/linux-%kversion-%flavour \
     MODULEPATH=%module_dir 

%install
mkdir -p $RPM_BUILD_ROOT%module_dir/

. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
make CC=gcc-$GCC_VERSION \
	KERNELRELEASE=%kversion-%flavour-%krelease \
	KERNELPATH=%_usrsrc/linux-%kversion-%flavour \
	MODULEPATH=%module_dir \
	DESTDIR=$RPM_BUILD_ROOT install

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%module_dir

%changelog
* Wed Dec 29 2004 Sergey Vlasov <vsu@altlinux.ru> 0.9.4.12-alt1.1
- Version 0.9.4.12.
- Dropped obsolete compat patch.
- Fixed %%prep and %%install.

* Sun Dec 26 2004 Sergey Vlasov <vsu@altlinux.ru> 0.8.5.4-alt7.1
- Rebuild for kernel 2.4.28.

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 0.8.5.4-alt6.1
- Rebuild for kernel 2.4.27.

* Wed Aug 18 2004 Sergey Vlasov <vsu@altlinux.ru> 0.8.5.4-alt5.1
- Fixed build with kernel 2.6.8.

* Tue Aug 17 2004 Sergey Vlasov <vsu@altlinux.ru> 0.8.5.4-alt4.1
- Added patch:
  + madwifi-0.8.5.4-2.6.8-compat.patch: compatibility with the sysctl API
    change in 2.6.8

* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 0.8.5.4-alt3.1
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Thu May 13 2004 Sergey Vlasov <vsu@altlinux.ru> 0.8.5.4-alt2.1
- Rebuild for kernel 2.4.26.

* Wed Apr 14 2004 Alexander Bokovoy <ab@altlinux.ru> 0.8.5.4-alt1.1
- 0.8.5.4

* Fri Feb 27 2004 Sergey Vlasov <vsu@altlinux.ru> 0.8.3.2-alt9.1
- Updated for the new compiler version selection scheme (GCC_VERSION).

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 0.8.3.2-alt8.1
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 0.8.3.2-alt7.1
- Fixed spec file name.
- Fixed %%module_dir definition.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Fri Sep 26 2003 Sergey Vlasov <vsu@altlinux.ru> 0.8.3.2-alt6.1
- replaced %%{_usrsrc}/kernel/sources with %%kernel_src
- fixed BuildRequires

* Thu Sep 18 2003 Alexander Bokovoy <ab@altlinux.ru> 0.8.3.2-alt5.1
- Rebuild against kernel-sources-madwifi-0.8.3.2-alt3

* Tue Sep 09 2003 Anton Farygin <rider@altlinux.ru> 0.8.3.2-alt4.1
- defined norm_version

* Fri Sep 05 2003 Alexander Bokovoy <ab@altlinux.ru> 0.8.3.2-alt3.1
- Imported into ALT Linux Kernel CVS

* Fri Aug 22 2003 Alexander Bokovoy <ab@altlinux.ru> 0.8.3.2-alt2
- Rebuild for 2.4.21rel-std-up-alt13

* Sat Aug 16 2003 Alexander Bokovoy <ab@altlinux.ru> 0.8.3.2-alt1
- Initial release

